Add Selection to Discount Basket (Redemptions 2.0)

​
  • A single discount basket will be active at a time. If there is no active discount basket, the system will create a new active discount basket along with selected discounts passed in the request parameters.
  • The Punchh system will not have any validation based on points adjustments as discounts are added.
  • When a guest adds multiple discounts, and one is invalid for some reason, the entire request will fail with an error message. The guest will then be required to remove the invalid discount and resubmit.

Headers

  • The signature for the API call

  • Set this header to application/json.

  • Advertises which content types the client is able to understand

  • For details, see User Agent.

  • You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Preferred language. Punchh supports multiple languages for the redeemable name, redeemable description, meta data for coupon, subscription plan name, and subscription description in the API response as per the locale specified in the Accept-Language request header. Possible values: es for Spanish, fr for French, fr-ca for French-Canada, en-CY for English-Cyprus, ro for Romania, es-US for Spanish United States, etc.
    The locales for a business are configured in the Punchh platform under Administration > Business Profile > Address > Alternate Languages. In the Punchh platform, the admin of a business has to configure in the relevant language(s) 1) the redeemable name and redeemable description when creating/editing a redeemable under Offers > All Redeemables, 2) meta data for coupons when creating/editing a coupon campaign under Campaign Management, and 3) subscription plan name and subscription description when creating/editing a subscription plan under Wallet and Passes > Subscription Plans.

Body

application/json
  • Client key of the business

  • List of discounts to add to basket

    Properties: 3
  • Unique identifier generated by the system to lock the discount basket and prevent duplicate transactions. This parameter is optional when reward locking is enabled for the business in the Punchh platform. Note: Contact your Punchh representative to update this configuration.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/api/auth/discounts/select
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/discounts/select \
  --request POST \
  --header 'x-pch-digest: SIGNATURE_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept-Language: en' \
  --data '{
  "discount_basket_items_attributes": [
    {
      "discount_id": 131,
      "discount_type": "reward"
    },
    {
      "discount_value": 2,
      "discount_type": "discount_amount"
    }
  ],
  "client": "CLIENT_GOES_HERE",
  "external_uid": "EXTERNAL_UID_GOES_HERE"
}'
{
  "redemption_ref": "REDEMPTION_REF_GOES_HERE",
  "locked": false,
  "created_at": "2024-05-21T15:14:02Z",
  "discount_basket_items": [
    {
      "discount_basket_item_id": 469363,
      "discount_type": "reward",
      "discount_id": "41049646877",
      "discount_value": null,
      "created_at": "2024-05-24T08:36:52Z",
      "discount_details": {
        "item_id": 48188,
        "name": "Sandwich Test | AK",
        "campaign_name": "Mass Campaign Offer",
        "image": "IMAGE_URL_GOES_HERE",
        "points": null,
        "base_amount": null,
        "description": "",
        "item_properties": "",
        "meta_detail": null,
        "start_date_tz": "2024-05-24T08:34:24Z",
        "end_date_tz": "2024-06-30T03:15:00Z",
        "created_at": "2023-08-18T08:29:36Z",
        "auto_select": false
      }
    },
    {
      "discount_basket_item_id": 541689,
      "discount_type": "reward",
      "discount_id": "41378920421",
      "discount_value": null,
      "created_at": "2024-06-11T12:56:33Z",
      "discount_details": {
        "item_id": 48188,
        "name": "Sandwich Test | AK",
        "campaign_name": "Mass Campaign Offer",
        "image": "IMAGE_URL_GOES_HERE",
        "points": null,
        "base_amount": null,
        "description": "",
        "item_properties": "",
        "meta_detail": null,
        "start_date_tz": "2024-05-31T13:25:08Z",
        "end_date_tz": "2024-06-30T03:15:00Z",
        "created_at": "2023-08-18T08:29:36Z",
        "auto_select": false
      }
    }
  ]
}